Package sop

# Class DecryptionResult

java.lang.Object
sop.DecryptionResult

public class DecryptionResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`DecryptionResult(SessionKey sessionKey, List<Verification> verifications)`

## Method Summary

Modifier and Type
Method
Description
`Optional<SessionKey>`
`getSessionKey()`
`List<Verification>`
`getVerifications()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecryptionResult

public DecryptionResult(SessionKey sessionKey, List<Verification> verifications)

## Method Details

### getSessionKey

public Optional<SessionKey> getSessionKey()

### getVerifications

public List<Verification> getVerifications()